<?php
/**
This Example shows how to create a deal via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$deal = array(
	"name" => "API test deal",
	"visibility" => "public",
	"deal-status" => "pending",
	"deal-with" => "INSERT A VALID CONTACT ID",
	"currency" => "EUR",
	"price" => "456",
	"price-type" => "month",
	"duration" => "3",
	"deal-category-id" => "INSERT A VALID CATEGORY ID",
	"deal-responsible-id" => "INSERT A VALID USER ID",
	"involved-people" => array("INSERT A VALID CONTACT ID")
);

$retval = $api->createDeal($deal);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
