<?php
/**
This Example shows how to create a milestone via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$project_id = "INSERT A VALID PROJECT ID";
$milestone = array(
	"title" => "This is a new milestone",
	"responsible-id" => "INSERT A VALID USER ID",
	"deadline" => "2012-11-11"
);

$retval = $api->createMilestone($project_id, $milestone);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
