<?php
/**
This Example shows how to create a workgroup via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$workgroup = array(
	"name"  => "API test workgroup",
	"users" => array("INSERT A VALID USER ID", "INSERT A VALID USER ID")
);

$retval = $api->createWorkgroup($workgroup);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
