<?php
/**
This Example shows how to delete an event via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$event_id = "INSERT A VALID EVENT ID";

/**
 * Uncomment the following line to use the new calendar
 */
// $api->deleteCalEvent($event_id);

/**
 * Uncomment the following line to use the legacy calendar
 */
// $api->deleteEvent($event_id);

if ($api->errored){
	echo "Unable to delete event";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
