<?php
/**
This Example shows how to delete a message via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$message_id = "INSERT A VALID MESSAGE ID";

$api->deleteMessage($message_id);

if ($api->errored){
	echo "Unable to delete message";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
