<?php
/**
This Example shows how to get a list of notes via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$case_id = "INSERT A VALID CASE ID";

/**
If you want to retrieve, for example, the 3rd page you can call:
$retval = $api->getCaseNotes($case_id, 3);
**/
$retval = $api->getCaseNotes($case_id);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
