<?php
/**
This Example shows how to get a list of comments via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

//	Possible values are: "messages", "milestones", "tasks", "notes" or "writeboards"
$resource = "INSERT A VALID RESOURCE TYPE";
$resource_id = "INSERT A VALID RESOURCE ID";
/**
If you want to retrieve, for example, the 3rd page you can call:
$retval = $api->getComments($resource, $resource_id, 3);
**/

$retval = $api->getComments($resource, $resource_id);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
