<?php
/**
This Example shows how to get a list of events via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$params = array(
	"page"         => "1",
	"from"         => "2016-01-01",
	"to"           => "2016-08-01",
	"calendar-ids" => "INSERT A VALID CALENDAR ID, INSERT A VALID CALENDAR ID"
);

/**
 * Uncomment the following line to use the new calendar
 */
// $retval = $api->getCalEvents($params);

/**
 * Uncomment the following line to use the legacy calendar
 */
// $retval = $api->getEvents($params);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
