<?php
/**
This Example shows how to get a list of recurrent events via the ApolloAPI class.
Please note: this method works only with the legacy calendar.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$params = array(
	"page"         => "1",
	"from"         => "2012-01-01",
	"to"           => "2012-08-01",
	"calendar-ids" => "INSERT A VALID CALENDAR ID, INSERT A VALID CALENDAR ID"
);

$retval = $api->getRecurrentEvents($params);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
