<?php
/**
This Example shows how to get a time report via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$params = array(
	"from"       => "20120101",
	"to"         => "20120601",
	"user_id"    => "INSERT A VALID USER ID",
	"task_id"    => "INSERT A VALID TASK ID",
	"project_id" => "INSERT A VALID PROJECT ID",
	"company_id" => "INSERT A VALID COMPANY ID"
);

$retval = $api->getTimeReport($params);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
