<?php
/**
This Example shows how to create a comment via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

//	Possible values are: "messages", "milestones", "tasks", "notes" or "writeboards"
$resource = "INSERT A VALID RESOURCE TYPE";
$resource_id = "INSERT A VALID RESOURCE ID";
$comment = array(
	"body"        => "API test comment",
	"is-private"  => "0",
	"attachments" => array("INSERT A VALID ATTACHMENT ID")
);

$retval = $api->createComment($resource, $resource_id, $comment);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
