<?php
/**
This Example shows how to create a task in a task list via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$task_list_id = "INSERT A VALID TASK LIST ID";
$task = array(
	"subject" => "This is a task",
	"responsibles" => "INSERT A VALID USER ID",
	"time-bucket" => "tomorrow",
	"attachments" => array("INSERT SOME VALID ATTACHMENTS ID")
);

$retval = $api->createTaskInTaskList($task_list_id, $task);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
