<?php
/**
This Example shows how to create a task list via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$project_id = "INSERT A VALID PROJECT ID";
$task_list = array(
	"milestone-id" => "INSERT A VALID MILESTONE ID",
	"name" => "A task list",
	"description" => "Task list description",
	"is-private" => "0"
);

$retval = $api->createTaskList($project_id, $task_list);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
