<?php
/**
 * This Example shows how to get a list of calendars via the ApolloAPI class.
 */
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

/**
 * Uncomment the following line to use the new calendar
 */
// $retval = $api->getCalCalendars();

/**
 * Uncomment the following line to use the legacy calendar
 */
// $retval = $api->getCalendars();

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
