<?php
/**
This Example shows how to reorder tasks in a project inbox via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$project_id = "INSERT A VALID PROJECT ID";
$tasks = array(
	"INSERT A VALID TASK ID",
	"INSERT A VALID TASK ID",
	"INSERT A VALID TASK ID"
);

$retval = $api->reorderTasksInInbox($project_id, $tasks);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
