<?php
/**
This Example shows how to reorder tasks in a task list via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$task_list_id = "INSERT A VALID TASK LIST ID";
$tasks = array(
	"INSERT A VALID TASK ID",
	"INSERT A VALID TASK ID",
	"INSERT A VALID TASK ID"
);

$retval = $api->reorderTasksInTaskList($task_list_id, $tasks);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
