<?php
/**
This Example shows how to update a deal category via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$category_id = "INSERT A VALID CATEGORY ID";
$category = array(
	"name" => "API test category updated"
);

$api->updateDealCategory($category_id, $category);

if ($api->errored){
	echo "Unable to update deal category";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
