<?php
/**
This Example shows how to update a message via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$message_id = "INSERT A VALID MESSAGE ID";
$message = array(
	"title"       => "API test message updated",
	"subscribers" => array("INSERT A VALID USER ID", "INSERT ANOTHER VALID USER ID")
);

$api->updateMessage($message_id, $message);

if ($api->errored){
	echo "Unable to update message";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
