<?php
/**
This Example shows how to update a project via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$project_id = "INSERT A VALID PROJECT ID";
$project = array(
	"name"                       => "API test project updated",
	"overview-page-announcement" => "Here comes an updated project!"
);

$api->updateProject($project_id, $project);

if ($api->errored){
	echo "Unable to update project";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
